import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';
import { Storage } from '@ionic/storage';
import { StreamPage } from '../stream/stream';

import { OauthCordova } from 'ng2-cordova-oauth/platform/cordova';
// import { OauthBrowser } from 'ng2-cordova-oauth/platform/browser';
import { PnutAuth } from '../../providers/pnut-oauth';
import * as pnut from 'pnut-butter';

/**
 * Generated class for the LoginPage page.
 *
 * See http://ionicframework.com/docs/components/#navigation for more info
 * on Ionic pages and navigation.
 */
@Component({
  selector: 'page-login',
  templateUrl: 'login.html',
})
export class LoginPage {

  private oauth: OauthCordova = new OauthCordova();
  // private oauthb: OauthBrowser = new OauthBrowser();
  private pnutProvider: PnutAuth = new PnutAuth({
    appScope: ['basic','stream','write_post']
  });

  constructor(public navCtrl: NavController, public navParams: NavParams, private storage: Storage) {

  }

  login() {
    this.oauth.logInVia(this.pnutProvider).then(success => {
      console.log('RESULT: ' + JSON.stringify(success));
      this.storage.set('token', success['access_token']);
      pnut.token = success['access_token'];
      this.navCtrl.setRoot(StreamPage, {stream: 'global'});
    }, error=> {
      console.log('ERROR: ' + error);
    });
  }

}
